@import "../../_mixins.scss";

.app-grid {
  --sidebar-width: 210px;
  --header-height: 50px;
  overflow: hidden;

  .app-holder {
    --app-body-width: calc(100vw - var(--sidebar-width));
    --app-body-height: calc(100vh - var(--header-height));
    background: var(--app-bg);
    width: var(--app-body-width);
    min-height: var(--app-body-height);
    overflow: auto;
    margin-left: var(--sidebar-width);
    margin-top: var(--header-height);
    @include transitions(all 0.3s ease-out);

    .main-loading-fallback {
      font-size: var(--font-xxxxl);
      display: flex;
      justify-content: center;
      align-items: center;
      height: calc(100vh - var(--header-height));
    }

    .app-body {
      width: var(--app-body-width);
      padding: 10px 15px 20px 15px;
      height: calc(100vh - var(--header-height));
      overflow: hidden;
      overflow-y: auto;
      &::-webkit-scrollbar {
        width: 8px;
        height: 5px;
      }

      &::-webkit-scrollbar-track {
        background: none;
        border: none;
      }

      &::-webkit-scrollbar-thumb {
        background: #949292;
        border-radius: 10px;
      }

      &::-webkit-scrollbar-thumb:hover {
        background: var(--primary);
      }
    }
  }

  &.app-grid--side-menu-collapsed {
    --sidebar-width: 0px;
    .child-option.child-option {
      margin: 0 !important;
      padding: 0 !important;
      font-size: 9px;
      width: 50px;
    }
  }
}
